Permalink
Browse files

Fixing spec to make them work with the latest Ruby version

  • Loading branch information...
1 parent 5cd2888 commit 868f742a5b07b324eaae028a49a03ffc6abee7e2 @robertodecurnex committed Mar 4, 2011
Showing with 9 additions and 10 deletions.
  1. +7 −8 Gemfile.lock
  2. +2 −2 spec/jsonp_spec.rb
View
@@ -9,19 +9,18 @@ GEM
specs:
diff-lcs (1.1.2)
rack (1.2.1)
- rspec (2.4.0)
- rspec-core (~> 2.4.0)
- rspec-expectations (~> 2.4.0)
- rspec-mocks (~> 2.4.0)
- rspec-core (2.4.0)
- rspec-expectations (2.4.0)
+ rspec (2.5.0)
+ rspec-core (~> 2.5.0)
+ rspec-expectations (~> 2.5.0)
+ rspec-mocks (~> 2.5.0)
+ rspec-core (2.5.1)
+ rspec-expectations (2.5.0)
diff-lcs (~> 1.1.2)
- rspec-mocks (2.4.0)
+ rspec-mocks (2.5.0)
PLATFORMS
ruby
DEPENDENCIES
- rack
rack-jsonp-middleware!
rspec (>= 1.3.0)
View
@@ -10,7 +10,7 @@
}
@response_body = ['{"key":"value"}']
- @app = lambda do
+ @app = lambda do |params|
[@response_status, @response_headers, @response_body]
end
@@ -38,7 +38,7 @@
end
it 'should wrap the response body in the Javasript callback' do
- @jsonp_response_body.should == ["#{@callback}(#{@response_body});"]
+ @jsonp_response_body.should == ["#{@callback}(#{@response_body.first});"]
end
end

0 comments on commit 868f742

Please sign in to comment.